package com.tzy.framework.pay.service;


import com.tzy.framework.pay.dto.PaymentInfoResponseDto;
import com.tzy.framework.pay.dto.PaymentRequestDto;
import com.tzy.framework.pay.dto.RefundRequestDto;
import com.tzy.framework.pay.dto.ResultMap;

import java.math.BigDecimal;

public interface QmH5PayService {

    //统一下单
    public ResultMap tradeCreate(PaymentRequestDto paymentRequestDto);
    //查询订单
    public PaymentInfoResponseDto queryOrder(String appid, String payWay, String  orderNo);
    //退款
    public ResultMap refund(String appid, String payWay,String orderNo, BigDecimal refundPrice, String refundMsg);
    //退款查询
    public ResultMap refundQuery(String appid,String payWay,String outRefundNo);
    //关闭订单
    public ResultMap colse(String appid,String payWay,String orderNo);
    //统一下单
    public ResultMap tradeCreateNew(PaymentRequestDto paymentRequestDto);
    //查询订单
    public PaymentInfoResponseDto queryOrder(PaymentRequestDto paymentRequestDto);
    //退款
    public ResultMap refund(RefundRequestDto refundRequestDto);
    //退款查询
    public ResultMap refundQuery(RefundRequestDto refundRequestDto);
}
